package com.goafanti.activityUser.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;
import com.goafanti.common.model.ActivityUser;

public class ActivityUserListBo extends ActivityUser {
	private String	activityName;

	private Integer	number;

	private String	mobile;

	private String	username;

	private String	unitName;

	private Date	startTime;

	private Date	endTime;

	private Date	enrollDeadline;

	public String getActivityName() {
		return activityName;
	}

	public void setActivityName(String activityName) {
		this.activityName = activityName;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Date getEnrollDeadline() {
		return enrollDeadline;
	}

	public void setEnrollDeadline(Date enrollDeadline) {
		this.enrollDeadline = enrollDeadline;
	}

	public String getStartTimeFormattedDate() {
		if (this.startTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.startTime, AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setCreateTimeFormattedDate(String startTimeFormattedDate) {

	}

	public String getEndTimeFormattedDate() {
		if (this.endTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.endTime, AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setEndTimeFormattedDate(String endTimeFormattedDate) {

	}
	
	public String getEnrollDeadlineFormattedDate() {
		if (this.enrollDeadline == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.enrollDeadline, AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setEnrollDeadlineFormattedDate(String enrollDeadlineFormattedDate) {

	}

}
